accumulo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher <ctubb...@apache.org>
Subject Re: remove wikisearch from 1.4.x development?
Date Tue, 19 Nov 2013 14:05:41 GMT
It seems like consensus was not really reached on the issue. I don't
have a very strong opinion on this, but it does seem that changing the
packaging for 1.4.x for a bugfix release in a major way like this is
not really a nice thing to do to users.

There's a risk users will have based code agaisnt 1.4.x on this
example, and it wouldn't be good to break it. At the very least,
keeping the example in there (and not modifying the way it uses the
public API), acts as a test, to ensure that we don't make any changes
that makes 1.4.x user code incompatible with the latest 1.4.x
development, when they've based their code on what we've suggested
through our examples.

Since a version of wikisearch has been released with 1.4.4, and we
already have a separate git repo for wikisearch development, I would
be okay dropping it from the main repo's 1.4.5-SNAPSHOT branch, if we
were willing to continue releasing wikisearch from its own repo to
keep it working with the latest 1.4.x whenever we release accumulo
1.4.x.

In other words, it doesn't have to exist in the 1.4.x branch, but it
should still follow the 1.4.x releases, being released from the
contrib repo, keeping in line with the packaging precedent for the 1.4
series.


--
Christopher L Tubbs II
http://gravatar.com/ctubbsii


On Tue, Oct 22, 2013 at 1:24 PM, Keith Turner <keith@deenlo.com> wrote:
> On Tue, Oct 22, 2013 at 1:03 PM, Sean Busbey <busbey@cloudera.com> wrote:
>
>> On Tue, Oct 22, 2013 at 10:15 AM, Keith Turner <keith@deenlo.com> wrote:
>>
>> >
>> > I also would not oppose removing it.   At the time the decision was made,
>> > there was no cost to leaving it in 1.4.  If it is removed, will whats
>> > currently in contrib work against 1.4+Hadoop 1.0?
>> >
>> >
>>  Accumulo 1.4.4 (or current SNAPSHOT?) with Hadoop 1.0 (or Hadoop
>> 0.20.203.0)?
>>
>
> 0.20.203.0 is whats in the 1.4 pom, so that I guess.   I suppose it would
> make more sense to try snapshot, since that where it would be removed.   If
> it is removed and whats in contrib does work, then we could place a pointer
> to contrib in 1.4.5-SNAPSHOT.
>
>
>>
>> Just want to make sure I arrange to have the correct thing tested.
>>
>> --
>> Sean
>>

Mime
View raw message